/********************************************************************************
 *	neural.h
 *
 *	Neural Network Header
 *
 *	Written by Paco Xander Nathan
 *	1990, Motorola Inc.  Public domain source code.
 ********************************************************************************/

#define _H_neural


/* External Data Structures
 */
extern float
	nnCertainty,
	nnOutput;

extern Boolean
	nnClusterFlag;


/* External Function Prototypes
 */
#ifdef PROTOTYPES
void NNInit (void);
void NNSetAllWeights (float value);
void NNSetWeight (short from, short to, short layer, float value);
void NNLearn (Boolean *bit, WORD nBits, WORD theOutput);
void NNActivate (Boolean *bit, WORD nBits);
#endif
